#!/bin/sh
# Send warnings to problem package owners
# This is a bit distribution-specific, people from other distributions are
# welcome to suggest how to make it more agnostic

#EMAIL="repo-font-audit <your@mail>"
#REPLYTO=another@mail

#export EMAIL REPLYTO

for srpm in \
texlive-allrunes \
texlive-amsfonts \
texlive-antiqua \
texlive-antp \
texlive-antt \
texlive-arabi \
texlive-arabtex \
texlive-archaic \
texlive-arev \
texlive-arphic \
texlive-asana-math \
texlive-ascii \
texlive-augie \
texlive-auncial-new \
texlive-aurical \
texlive-avantgar \
texlive-babelbib \
texlive-belleek \
texlive-bera \
texlive-bookman \
texlive-brushscr \
texlive-burmese \
texlive-carolmin-ps \
texlive-cbcoptic \
texlive-cbfonts \
texlive-ccicons \
texlive-cc-pl \
texlive-charter \
texlive-chemarrow \
texlive-cjhebrew \
texlive-cmcyr \
texlive-cm-lgc \
texlive-cmll \
texlive-cm-super \
texlive-comprehensive-doc \
texlive-context \
texlive-courier \
texlive-cryst \
texlive-cs \
texlive-cyklop \
texlive-dictsym \
texlive-doublestroke \
texlive-dozenal \
texlive-epigrafica \
texlive-epiolmec \
texlive-esint-type1 \
texlive-esvect \
texlive-ethiop-t1 \
texlive-eurosym \
texlive-fge \
texlive-figbas \
texlive-foekfont \
texlive-fonetika \
texlive-fourier \
texlive-fpl \
texlive-gentium \
texlive-gfsartemisia \
texlive-gfsbaskerville \
texlive-gfsbodoni \
texlive-gfscomplutum \
texlive-gfsdidot \
texlive-gfsneohellenic \
texlive-gfsporson \
texlive-gfssolomos \
texlive-gnu-freefont \
texlive-gothic \
texlive-groff \
texlive-grotesq \
texlive-grverb \
texlive-helvetic \
texlive-hfbright \
texlive-ibygrk \
texlive-inconsolata \
texlive-initials \
texlive-itrans \
texlive-iwona \
texlive-jmn \
texlive-junicode \
texlive-kerkis \
texlive-knitting \
texlive-kpfonts \
texlive-kurier \
texlive-libertine \
texlive-libris \
texlive-lineara \
texlive-lmextra \
texlive-lm \
texlive-lxfonts \
texlive-manfnt \
texlive-marvosym \
texlive-mathdesign \
texlive-mathpazo \
texlive-mflogo \
texlive-mnsymbol \
texlive-montex \
texlive-musixtex \
texlive-ncntrsbk \
texlive-ocherokee \
texlive-oinuit \
texlive-omega \
texlive-palatino \
texlive-phaistos \
texlive-philokalia \
texlive-pigpen \
texlive-pl \
texlive-pxfonts \
texlive-recycle \
texlive-rsfs \
texlive-sanskrit \
texlive-semaphor \
texlive-skaknew \
texlive-staves \
texlive-stmaryrd \
texlive-symbol \
texlive-tabvar \
texlive-tapir \
texlive-tex-gyre \
texlive \
texlive-thailatex \
texlive-times \
texlive-tipa \
texlive-trajan \
texlive-txfontsb \
texlive-txfonts \
texlive-uhc \
texlive-umtypewriter \
texlive-utopia \
texlive-velthuis \
texlive-venturisadf \
texlive-vntex \
texlive-wasy \
texlive-xypic \
texlive-yhmath \
texlive-zapfchan \
texlive-zapfding \
; do
  tar -xf $srpm.tar.xz */message.txt -O \
    | mutt -s "[RFA] Your $srpm tl package did not pass QA" \
           -a $srpm.tar.xz -- $srpm-owner@fedoraproject.org
  sleep 5
done

